Bug 1200235 - "efi" as a mountpoint is not correct for partition kickstart command
Summary: "efi" as a mountpoint is not correct for partition kickstart command
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Installation_Guide
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Petr Bokoc
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-10 05:33 UTC by Masahiro Matsuya
Modified: 2019-06-13 08:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 12:40:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Masahiro Matsuya 2015-03-10 05:33:09 UTC
Document URL: 
Section Number and Name: 

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Installation_Guide/sect-kickstart-syntax.html

  Search with "part or partition".


Describe the issue: 

------------------------------------------
mntpoint - Where the partition is mounted. The value must be of one of the following forms: 

  .. snip ..

 * efi
An EFI System Partition. A 50 MB EFI partition is necessary on UEFI-based AMD64 and Intel 64 systems; the recommended size is 200 MB. It is not necessary on BIOS systems. See also the bootloader command. 

------------------------------------------

But, "efi" is not available. Correctly, it should be /boot/efi.


Suggestions for improvement: 

It should be "/boot/efi", not "efi"


Additional information: 

We tested it. "efi" didn't work, and "/boot/efi" works. 

In pyanaconda/kickstart.py, the mount point like "efi" is not detected as EFI System Partition.

class PartitionData(commands.partition.F18_PartData):
    def execute(self, storage, ksdata, instClass):
...
        elif self.mountpoint == "/boot/efi":
            if blivet.arch.isMactel():
                type = "hfs+"
            else:
                type = "EFI System Partition"
                self.fsopts = "defaults,uid=0,gid=0,umask=0077,shortname=winnt"


upstream also doesn't have the code to deal with the mountpoint "efi". I think this is a documentation bug.

Comment 1 Petr Bokoc 2015-03-10 12:44:21 UTC
That does indeed look like a docs bug. I'll fix it asap.

Comment 2 Petr Bokoc 2015-03-13 15:05:47 UTC
Fixed. Preview is available here (scroll down to "part or partition (required)":

http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Enterprise_Linux-7-Installation_Guide%20%28html-single%29/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#sect-kickstart-commands

I also checked a few other places in the book that deal with the EFI System Partition and made sure it's explained clearly everywhere.


Note You need to log in before you can comment on or make changes to this bug.